Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063433 - VDSM does not handle network devices that do not expose "speed"
Summary: VDSM does not handle network devices that do not expose "speed"
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3.4
Assignee: Dan Kenigsberg
QA Contact: Meni Yakove
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 17:56 UTC by Trey Dockendorf
Modified: 2014-03-31 12:14 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.3.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-26 11:42:43 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24197 None None None Never

Description Trey Dockendorf 2014-02-10 17:56:57 UTC
Description of problem:

VDSM throws an error when it encounters a network interface, such as InfiniBand, that does not have an accessible "speed" file in sysfs.

Version-Release number of selected component (if applicable):

vdsm-4.13.3-3.el6

How reproducible:

Always

Steps to Reproduce:
1. Enable an infiniband interface
2. Start vdsm
3. View /var/log/messages

Actual results:

vdsm root ERROR cannot read ib0 speed#012Traceback (most recent call last):#012  File "/usr/lib64/python2.6/site-packages/vdsm/netinfo.py", line 297, in speed#012    s = int(speedFile.read())#012IOError: [Errno 22] Invalid argument

Expected results:

No message in /var/log/messages and VDSM logs "cannot read ib0 nic speed".


Additional info:

Verified that http://gerrit.ovirt.org/24197 solves this issue.


Note You need to log in before you can comment on or make changes to this bug.